import { HorizontalStackedSeriesBase } from "./HorizontalStackedSeriesBase";
import { Series } from "./Series";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { ChartSelection } from "./ChartSelection";
import { Rect } from "igniteui-angular-core";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { List$1 } from "igniteui-angular-core";
import { StackedSeriesView } from "./StackedSeriesView";
/**
 * @hidden
 */
export declare class StackedLineSeries extends HorizontalStackedSeriesBase {
    static $t: Type;
    protected bk(): Series;
    protected get_fl(): boolean;
    constructor();
    ac(): void;
    protected ct(): SeriesView;
    ace: StackedLineSeriesView;
    q7(a: SeriesView): void;
    ay(a: Axis): AxisRange;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class StackedLineSeriesView extends StackedSeriesView {
    static $t: Type;
    constructor(a: StackedLineSeries);
    a4(): void;
}
